Page MenuHomePhabricator

Allow namespace aliases to be defined in extension i18n
Closed, ResolvedPublic

Description

Currently you cannot set $namespaceAliases in an extension's *.namespaces.php file, because it overwrites any other namespace aliases that have been set. This caused issues such as T60074.

When parsing an extension's *.namespaces.php file, the data $namespaceAliases should be merged with other extensions' data, in the same way as $namespaceNames is.

Event Timeline

TTO created this task.Aug 8 2015, 1:46 AM
TTO raised the priority of this task from to Needs Triage.
TTO updated the task description. (Show Details)
TTO added a subscriber: TTO.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 8 2015, 1:46 AM

@Aklapper @TTO I can't understand this T108427 task. "Currently you cannot set $namespaceAliases in an extension's *.namespaces.php file" ?

@NehalDaveND: I don't know why you asked me as I'm only subscribed to this task, but if you have a specific question about that sentence that's not easy to understand, please do ask your specific question. Thanks! :)

@Aklapper Hi ! I know I am your headache. Again an again asking questions. Sorry for that. I am not good in English so some sentences make me confuse so I asked.

https://phabricator.wikimedia.org/T101634 this bug is possible or not ?

I am asking because, I couldn't understand https://phabricator.wikimedia.org/T108427 this thing. Sorry if I am making this difficult.

Reason behind question is, if https://phabricator.wikimedia.org/T101634 this bug has some issue, than I want to know and I want to try to solve that issue. Thank you :)

So, AIUI we need to add 'namespaceAliases' to LocalisationCache::$mergeableListKeys and make sure it works as expected?

TTO added a comment.Aug 12 2015, 1:09 PM

So, AIUI we need to add 'namespaceAliases' to LocalisationCache::$mergeableListKeys and make sure it works as expected?

Let's give it a shot, shall we?

Change 230998 had a related patch set uploaded (by TTO):
Merge namespace aliases like we merge namespace names

https://gerrit.wikimedia.org/r/230998

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 22 2015, 1:29 AM

Change 230998 merged by jenkins-bot:
Merge namespace aliases like we merge namespace names

https://gerrit.wikimedia.org/r/230998

TTO closed this task as Resolved.Dec 19 2015, 9:47 AM
TTO claimed this task.

Should work now.